Metafunction
Spec
The spec of a class.
Spec<T>::Type
Include Headers
seqan/basic.h
Parameters

T | Type for which the spec is determined. Types: EdgeStump, FrequencyDistribution, Graph, Holder, IdManager, Iter, Pair, Proxy, Segment, SimpleType, String, Triple, Tuple

Remarks
The spec of a SeqAn type is the class that is used in template subclassing to specify the specialization. For example, the spec of String<char, Alloc<> > is Alloc<>.
There is a default specialization for this metafunction that returns void. Also, there is an implementation of Metafunction Spec for templates with one argument that returns this argument.
Return Values

Type | Spec of T.

Member of
EdgeStump, IdManager, Tuple, Graph, Segment, Iter, Proxy, Triple, Pair, Holder, String
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59